Method: assetShares.list
Stay organized with collections
Save and categorize content based on your preferences.
Page Summary
This API method retrieves either a list of asset shares mapped to a specified asset view ID or a list of asset views associated with a specified asset share ID.
The assetId query parameter is used to specify either an asset view ID or an asset share ID to retrieve the corresponding data.
The onBehalfOfContentOwner query parameter allows users to specify the content owner they are acting on behalf of, which is useful for users with accounts linked to multiple content owners.
The response body is a paginated list of assetShare resources, structured with fields like kind, pageInfo, items, and nextPageToken for navigating results.
An authorization scope of https://www.googleapis.com/auth/youtubepartner is required to make requests to this API.
This method either retrieves a list of asset shares the partner owns and that map to a specified asset view ID or it retrieves a list of asset views associated with a specified asset share ID owned by the partner.
HTTP request
GET https://youtubepartner.googleapis.com/youtube/partner/v1/assetShares
The assetId parameter specifies the asset ID for which you are retrieving data. The parameter can be an asset view ID or an asset share ID.
If the value is an asset view ID, the API response identifies any asset share ids mapped to the asset view.
If the value is an asset share ID, the API response identifies any asset view ids that maps to that asset share.
onBehalfOfContentOwner
string
The onBehalfOfContentOwner parameter identifies the content owner that the user is acting on behalf of. This parameter supports users whose accounts are associated with multiple content owners.
pageToken
string
The pageToken parameter specifies a token that identifies a particular page of results to return. Set this parameter to the value of the nextPageToken value from the previous API response to retrieve the next page of search results.
Request body
The request body must be empty.
Response body
A paginated list of assetShare resources returned in response to a list request.
If successful, the response body contains data with the following structure:
All rights reserved. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2025-08-20 UTC.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2025-08-20 UTC."],[],["This API method uses a `GET` request to retrieve asset shares or asset views. It requires an empty request body. The `assetId` parameter in the query specifies either an asset view ID to find associated asset share IDs, or an asset share ID to find associated asset view IDs. The `onBehalfOfContentOwner` parameter is used to specify the content owner. The response, structured as `assetShareList`, includes `kind`, `pageInfo`, `items` and a `nextPageToken` for pagination. It uses the `youtubepartner` scope.\n"]]